Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023975
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-06-04 10:102013-06-20 02:07
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchpiFixed in SCM revisione9c65e2e6ae9
ProjectionnoneETAnoneTarget Version3.0MP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelCoding ( Testing )
Regression date2013-05-16
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/2e4eccaa3cc8fc8ac434cb0d386166558d1ee686 [^]
Triggers an Emergency PackNo
Summary

0023975: Number handling does not work properly if ',' is used as decimal separator

DescriptionIf ',' is used as decimal separator, numbers with decimal values lose them when they are focused and then the focus is moved to another field. It is not possible to enter new number with decimal digits, only the integer part remains.
Steps To ReproduceAs F&B Group Admin, using the format.xml attached to the issue:
- Open Sales Order
- Create a new header
- Start creating a new line
- Select a product and try to change its net unit price. See that you can not enter a number with decimal values
TagsNo tags attached.
Attached Filesxml file icon Format.xml [^] (2,155 bytes) 2013-06-04 10:22

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00284273.0PR15Q2 closedAugustoMauch Price is not rounded to calculate the line net amount in Create Lines process of Purchase Order 

-  Notes
(0059144)
hgbot (developer)
2013-06-04 10:21

Repository: erp/devel/pi
Changeset: e13f1255ac95c3444919326fc896ffdebc66c1a3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jun 04 10:20:19 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e13f1255ac95c3444919326fc896ffdebc66c1a3 [^]

Fixes issue 23975: Number handling works using ',' as decimal separator

In the fix of the issue 23758 [1] it was wrongly assumed that the function getValue() of a OBNumberItem was going to return a javascript number. When the an existing record has just been opened getValue() will return a number, but when the user edits it, it will return the string representation of the number using the format specified by the user.

Now this has been taken into account, so the value is treated differently if getValue returns a string or a javascript number.

[1] https://code.openbravo.com/erp/devel/pi/rev/2e4eccaa3cc8fc8ac434cb0d386166558d1ee686 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0059145)
AugustoMauch (developer)
2013-06-04 10:22

Reopened to attach format.xml file
(0059160)
shankarb (developer)
2013-06-04 11:37

When focus is lost from the numeric field and then focus is gained, a part of the value is lost using the provided Format.xml. In order line, Net unit price, I gave the value 123,45 and tabbed out. Then the value becomes 123,45000 . But after I move back focus to Net Unit Price Field and move focus again, it becomes 23,45000, the first value is lost.
(0059162)
hgbot (developer)
2013-06-04 12:33

Repository: erp/devel/pi
Changeset: e9c65e2e6ae90ff7a09c7adf272327051772c875
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Jun 04 12:33:00 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e9c65e2e6ae90ff7a09c7adf272327051772c875 [^]

Fixes issue 23975: Changes are only done when getValue() returns a string

The numeric handling only needed to be done when getValue() returns a string, that is, when the user has entered a new value or modified the existing one. The textualValue needed to be set also.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-number.js
---
(0059164)
shankarb (developer)
2013-06-04 13:05

Code reviewed and tested in pi changeset e9c65e2e6ae9.
(0059536)
hudsonbot (developer)
2013-06-20 02:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test
(0059538)
hudsonbot (developer)
2013-06-20 02:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-06-04 10:10 AugustoMauch New Issue
2013-06-04 10:10 AugustoMauch Assigned To => AugustoMauch
2013-06-04 10:10 AugustoMauch Modules => Core
2013-06-04 10:10 AugustoMauch Triggers an Emergency Pack => No
2013-06-04 10:12 AugustoMauch Regression level => Coding ( Testing )
2013-06-04 10:12 AugustoMauch Regression date => 2013-05-16
2013-06-04 10:12 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/2e4eccaa3cc8fc8ac434cb0d386166558d1ee686 [^]
2013-06-04 10:15 AugustoMauch Issue Monitored: shankarb
2013-06-04 10:15 AugustoMauch Review Assigned To => shankarb
2013-06-04 10:21 hgbot Checkin
2013-06-04 10:21 hgbot Note Added: 0059144
2013-06-04 10:21 hgbot Status new => resolved
2013-06-04 10:21 hgbot Resolution open => fixed
2013-06-04 10:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e13f1255ac95c3444919326fc896ffdebc66c1a3 [^]
2013-06-04 10:22 AugustoMauch Note Added: 0059145
2013-06-04 10:22 AugustoMauch Status resolved => new
2013-06-04 10:22 AugustoMauch Resolution fixed => open
2013-06-04 10:22 AugustoMauch File Added: Format.xml
2013-06-04 10:23 AugustoMauch Status new => scheduled
2013-06-04 10:23 AugustoMauch fix_in_branch => pi
2013-06-04 10:23 AugustoMauch Status scheduled => resolved
2013-06-04 10:23 AugustoMauch Resolution open => fixed
2013-06-04 11:37 shankarb Note Added: 0059160
2013-06-04 11:37 shankarb Status resolved => new
2013-06-04 11:37 shankarb Resolution fixed => open
2013-06-04 12:33 hgbot Checkin
2013-06-04 12:33 hgbot Note Added: 0059162
2013-06-04 12:33 hgbot Status new => resolved
2013-06-04 12:33 hgbot Resolution open => fixed
2013-06-04 12:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e13f1255ac95c3444919326fc896ffdebc66c1a3 [^] => http://code.openbravo.com/erp/devel/pi/rev/e9c65e2e6ae90ff7a09c7adf272327051772c875 [^]
2013-06-04 13:05 shankarb Note Added: 0059164
2013-06-04 13:05 shankarb Status resolved => closed
2013-06-04 13:05 shankarb Fixed in Version => 3.0MP24
2013-06-20 02:07 hudsonbot Checkin
2013-06-20 02:07 hudsonbot Note Added: 0059536
2013-06-20 02:07 hudsonbot Checkin
2013-06-20 02:07 hudsonbot Note Added: 0059538
2015-01-23 14:49 AugustoMauch Relationship added blocks 0028427


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker